# TdApi.MessageVideo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageVideo

Package it.tdlight.jni

# Class TdApi.MessageVideo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageVideo

Enclosing class:
  TdApi

    public static class TdApi.MessageVideo
    extends TdApi.MessageContent

A video message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.FormattedText` | `caption` | Video caption.
`static int` | `CONSTRUCTOR` |
`boolean` | `isSecret` | True, if the video thumbnail must be blurred and the video must be shown only while tapped.
`TdApi.Video` | `video` | The video description.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageVideo()` | A video message.
`MessageVideo​(TdApi.Video video, TdApi.FormattedText caption, boolean isSecret)` | A video message.
`MessageVideo​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### video

public TdApi.Video video
The video description.

### caption

public TdApi.FormattedText caption
Video caption.

### isSecret

public boolean isSecret
True, if the video thumbnail must be blurred and the video must be shown only while tapped.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageVideo

public MessageVideo()
A video message.

### MessageVideo

public MessageVideo​(TdApi.Video video, TdApi.FormattedText caption, boolean isSecret)
A video message.

Parameters:
  `video` - Video The video description.
  `caption` - FormattedText Video caption.
  `isSecret` - boolean True, if the video thumbnail must be blurred and the video must be shown only while tapped.

### MessageVideo

public MessageVideo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`